Update Connection

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
PUT /connections/{connectionId}

Update Connection.

Path parameters

  • connectionId string Required

    id of the Connection

application/json

Body

  • _id string

    Connection Id

  • connectionName string

    Connection Name

  • description string

    Connection description

  • type string

    Connection type (smtp, iform_oauth2, db, zoho, webmerge)

  • config object

    Configuration based on connection type (see Create Connection request examples)

  • owningEntity string

    Owner's name

  • trustedEntities array

    Array of Entities that have permission to this connection

  • createdBy string

    Created by entity name

  • createdById string

    Created by entity Id

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • _id string

      the updated Connection Id

PUT /connections/{connectionId}
curl \
 --request PUT 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/connections/{connectionId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "_id": "577c8238248e8d8fd9144ddb",
  "connectionName": "iform_oauth_806",
  "description": "test test",
  "type": "iform_oauth2",
  "config": {},
  "owningEntity": "demo_5000",
  "trustedEntities": [
    {
      "entity": "5684058f159fffbe29ff9912",
      "accessLevel": "READWRITE"
    }
  ],
  "createdBy": "user_5000",
  "createdById": "5684058f159fffbe29ff9912"
}'
Request example
{
  "_id": "577c8238248e8d8fd9144ddb",
  "connectionName": "iform_oauth_806",
  "description": "test test",
  "type": "iform_oauth2",
  "config": {},
  "owningEntity": "demo_5000",
  "trustedEntities": [
    {
      "entity": "5684058f159fffbe29ff9912",
      "accessLevel": "READWRITE"
    }
  ],
  "createdBy": "user_5000",
  "createdById": "5684058f159fffbe29ff9912"
}
Response examples (200)
{
  "_id": "574bcd24d96535adaf730a63"
}